Planning to build a web application 💻? Hire us to deliver faster! 🧑‍💻🧑🏽‍🔬

Could not start the template

Gravatar

Hi flatlogic support team,

I've bought your template for $99 { https://flatlogic.com/templates/light-blue-angular }, I received a zip file, and I'm supposed to get a 3 months free access to your Git repo, but I have not got anything.

I installed the template exactly like mentioned on the README.md file, the installation was successful even there were a lot of warnings concerning deprecated dependencies.

The PROBLEM is that I have not got managed to start the template. I got a lot of errors:

Could you please assist with this issue ASAP cause I'm on tight working schedule

Console Log

Angular Live Development Server is listening on localhost:3000, open your browser on http://localhost:3000/

âś” Browser application bundle generation complete.

Initial Chunk Files | Names
styles.css, styles.js | styles

Lazy Chunk Files | Names
default~pages-ecommerce-ecommerce-module~pages-forms-forms-module~pages-main-main-module.js | default~pages-> > ecommerce-ecommerce-module~pages-forms-forms-modul pages-ecommerce-ecommerce-module.js | pages-ecommerce-ecommerce-module
pages-forms-forms-module.js | pages-forms-forms-module
pages-main-main-module.js | pages-main-main-module
xlsx.js | xlsx

32 unchanged chunks

Build at: 2021-12-11T12:16:58.272Z - Hash: e636b3447ee274f713b5 - Time: 14166ms

Warning: C:\Work\app\app-dashboard-ui\nodemodules\highcharts-angular_ivyngcc_\fesm2015\highcharts- angular.js depends on 'highcharts'. CommonJS or For more info see: https://angular.io/guide/build#configuring-commonjs-dependencies

Warning: C:\Work\app\app-dashboard-ui\node_modules\@amcharts\amcharts4.internal\canvg\index.js depends > > on 'core-js/modules/es.regexp.exec'. CommonJS For more info see: https://angular.io/guide/build#configuring-commonjs-dependencies

Error: node_modules/ng2-material-dropdown/src/modules/components/button/ng2-dropdown-button.d.ts:18:21 - error 2694: Namespace '"C:/Work/app/app-das member 'ɵɵFactoryDeclaration'.

18 static ɵfac: i0.ɵɵFactoryDeclaration; ~~~~~~~~~~~~~~~~~~~~

Error: node_modules/ng2-material-dropdown/src/modules/components/button/ng2-dropdown-button.d.ts:19:21 - error > TS2694: Namespace '"C:/Work/app/app-das member 'ɵɵComponentDeclaration'.

19 static ɵcmp: i0.ɵɵComponentDeclaration<Ng2DropdownButton, "ng2-dropdown-button", never, { "showCaret": "showCaret"; }, { "onMenuToggled": "onMenuToggle ~~~~~~~~~~~~~~~~~~~~~~

Error: node_modules/ng2-material-dropdown/src/modules/components/dropdown/ng2-dropdown.d.ts:38:21 - error TS2694: Namespace '"C:/Work/app/app-dashboarer 'ɵɵFactoryDeclaration'.

38 static ɵfac: i0.ɵɵFactoryDeclaration;

Then:

Error: ./node_modules/ng2-material-dropdown/fesm2015/ng2-material-dropdown.mjs 1095:12-24 Can't import the named export 'CommonModule' from non EcmaScript module (only default export is available)

Error: ./node_modules/ng2-material-dropdown/fesm2015/ng2-material-dropdown.mjs 1103:13-25 Can't import the named export 'CommonModule' from non EcmaScript module (only default export is available)

Error: ./node_modules/ng2-material-dropdown/fesm2015/ng2-material-dropdown.mjs 1115:16-28 Can't import the named export 'CommonModule' from non EcmaScript module (only default export is available)

Error: ./node_modules/ng2-material-dropdown/fesm2015/ng2-material-dropdown.mjs 134:10-19 Can't import the named export 'Component' from non EcmaScript module (only default export is available)

Error: ./node_modules/ng2-material-dropdown/fesm2015/ng2-material-dropdown.mjs 433:10-19 Can't import the named export 'Component' from non EcmaScript module (only default export is available)

Local configuration:

C:>yarn --version 1.22.17

Angular CLI: 13.1.1 Node: 16.13.1 Package Manager: npm 8.3.0 OS: win32 x64

Angular: undefined

Package Version @angular-devkit/architect 0.1301.1 (cli-only) @angular-devkit/core 13.1.1 (cli-only) @angular-devkit/schematics 13.1.1 (cli-only) @schematics/angular 13.1.1 (cli-only)

Gravatar
Eugene Stepnov

Hey,

We are investigating your issues and will come back soon. As for the GitHub access, sure we will send you an invite.

Best, Eugene

User profile image
Islambek Akylbekuulu

Hi, We resolved the issue, please clone the latest repository from Github, Thanks, Best regards.

Cookie Consent

By continuing to browse or by clicking 'OK', you agree to the storing of cookies on your device to enhance your site experience and for analytical purposes. To learn more about how we use cookies, please see our cookies policy.